caption: Automatically grant permission to these sites to connect to HID devices with
  the given vendor and product IDs.
desc: |-
  Setting the policy lets you list the URLs that specify which sites are automatically granted permission to access a HID device with the given vendor and product IDs. Each item in the list requires both <ph name="DEVICES_FIELD_NAME">devices</ph> and <ph name="URLS_FIELD_NAME">urls</ph> fields for the item to be valid, otherwise the item is ignored. Each item in the <ph name="DEVICES_FIELD_NAME">devices</ph> field must have a <ph name="VENDOR_ID_FIELD_NAME">vendor_id</ph> and may have a <ph name="PRODUCT_ID_FIELD_NAME">product_id</ph> field. Omitting the <ph name="PRODUCT_ID_FIELD_NAME">product_id</ph> field will create a policy matching any device with the specified vendor ID. An item which has a <ph name="PRODUCT_ID_FIELD_NAME">product_id</ph> field without a <ph name="VENDOR_ID_FIELD_NAME">vendor_id</ph> field is invalid and is ignored.

        Leaving the policy unset means <ph name="DEFAULT_WEB_HID_GUARD_SETTING_POLICY_NAME">DefaultWebHidGuardSetting</ph> applies, if it's set. If not, the user's personal setting applies.

        URLs in this policy shouldn't conflict with those configured through <ph name="WEB_HID_BLOCKED_FOR_URLS_POLICY_NAME">WebHidBlockedForUrls</ph>. If they do, this policy takes precedence over <ph name="WEB_HID_BLOCKED_FOR_URLS_POLICY_NAME">WebHidBlockedForUrls</ph>.
example_value:
- devices:
  - product_id: 5678
    vendor_id: 1234
  urls:
  - https://google.com
  - https://chromium.org
features:
  dynamic_refresh: true
  per_profile: false
future_on:
- fuchsia
owners:
- mattreynolds@chromium.org
- file://third_party/blink/renderer/modules/hid/OWNERS
schema:
  items:
    properties:
      devices:
        items:
          properties:
            product_id:
              maximum: 65535
              minimum: 0
              type: integer
            vendor_id:
              maximum: 65535
              minimum: 0
              type: integer
          required:
          - vendor_id
          type: object
        type: array
      urls:
        items:
          type: string
        type: array
    required:
    - devices
    - urls
    type: object
  type: array
supported_on:
- chrome_os:100-
- chrome.*:100-
tags:
- website-sharing
type: dict
